{"openapi":"3.0.4","info":{"title":"Delete Investment Account","description":"Delete an investment account. Deletion will be valid from the investment account's creation datetime.\r\nThis means that the investment account will no longer exist at any effective datetime from the asAt datetime of deletion.","version":"0.0.1"},"servers":[{"url":"https://fbn-prd.lusid.com/api"}],"paths":{"/api/investmentaccounts/{identifierType}/{identifierValue}":{"delete":{"tags":["Investment Accounts"],"summary":"Delete Investment Account","description":"Delete an investment account. Deletion will be valid from the investment account's creation datetime.\r\nThis means that the investment account will no longer exist at any effective datetime from the asAt datetime of deletion.","operationId":"DeleteInvestmentAccount","parameters":[{"name":"identifierType","in":"path","description":"Code of the investment account identifier type.","required":true,"schema":{"maxLength":64,"minLength":1,"pattern":"^[a-zA-Z0-9\\-_]+$","type":"string"}},{"name":"identifierValue","in":"path","description":"Code of the investment account under specified identifier type's scope and code.","required":true,"schema":{"maxLength":64,"minLength":1,"type":"string"}},{"name":"scope","in":"query","description":"The scope of the investment account entity.","required":true,"schema":{"maxLength":64,"minLength":1,"pattern":"^[a-zA-Z0-9\\-_]+$","type":"string"}},{"name":"identifierScope","in":"query","description":"Scope of the investment account identifier type.","required":true,"schema":{"maxLength":64,"minLength":1,"type":"string"}}],"responses":{"200":{"description":"The response from deleting investment account.","content":{"application/json":{"schema":{"$ref":"/docs/api/lusid/schemas.json#/components/schemas/DeletedEntityResponse"},"example":{"asAt":"2018-03-05T10:10:10.0000000+00:00"}},"text/plain":{"schema":{"$ref":"/docs/api/lusid/schemas.json#/components/schemas/DeletedEntityResponse"},"example":{"asAt":"2018-03-05T10:10:10.0000000+00:00"}},"text/json":{"schema":{"$ref":"/docs/api/lusid/schemas.json#/components/schemas/DeletedEntityResponse"},"example":{"asAt":"2018-03-05T10:10:10.0000000+00:00"}}}},"400":{"description":"The details of the input related failure","content":{"application/json":{"schema":{"$ref":"/docs/api/lusid/schemas.json#/components/schemas/LusidValidationProblemDetails"}},"text/plain":{"schema":{"$ref":"/docs/api/lusid/schemas.json#/components/schemas/LusidValidationProblemDetails"}},"text/json":{"schema":{"$ref":"/docs/api/lusid/schemas.json#/components/schemas/LusidValidationProblemDetails"}}}},"default":{"description":"Error response","content":{"application/json":{"schema":{"$ref":"/docs/api/lusid/schemas.json#/components/schemas/LusidProblemDetails"}}}}},"security":[{"BearerAuth":[]}],"x-fbn-apistatus":"Experimental"}}},"components":{"securitySchemes":{"BearerAuth":{"type":"http","scheme":"bearer"}}}}